List WAHA occurrences for one canonical message
curl --request GET \
--url https://api-v2.watchcollect.com/v2/messages/{canonical_message_id}/occurrences \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/messages/{canonical_message_id}/occurrences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/messages/{canonical_message_id}/occurrences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonical_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waha_message_id": "<string>",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waha_session_name": "<string>",
"session_label": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waha_group_id": "<string>",
"group_name": "<string>",
"sender": {
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"lid": "<string>",
"display_name": "<string>",
"country_prefix": "<string>"
},
"sender_raw_id": "<string>",
"message_timestamp_ms": 123,
"has_media": true,
"media_asset_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"is_edited": true,
"is_revoked": true,
"source_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at_ms": 123,
"updated_at_ms": 123,
"message_text": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}messages
List WAHA occurrences for one canonical message
GET
/
v2
/
messages
/
{canonical_message_id}
/
occurrences
List WAHA occurrences for one canonical message
curl --request GET \
--url https://api-v2.watchcollect.com/v2/messages/{canonical_message_id}/occurrences \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/messages/{canonical_message_id}/occurrences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/messages/{canonical_message_id}/occurrences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonical_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waha_message_id": "<string>",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waha_session_name": "<string>",
"session_label": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waha_group_id": "<string>",
"group_name": "<string>",
"sender": {
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"lid": "<string>",
"display_name": "<string>",
"country_prefix": "<string>"
},
"sender_raw_id": "<string>",
"message_timestamp_ms": 123,
"has_media": true,
"media_asset_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"is_edited": true,
"is_revoked": true,
"source_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at_ms": 123,
"updated_at_ms": 123,
"message_text": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.